Bug 464844 - persistent net rules are written to /lib/udev/rules.d
persistent net rules are written to /lib/udev/rules.d
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 15:55 EDT by Bill Nottingham
Modified: 2014-03-16 23:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 10:09:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-09-30 15:55:17 EDT
Description of problem:

While the operating-system distributed rules should be in /lib/udev/rules.d, the system-specific configuration should probably still be in /etc/udev/rules.d.

Version-Release number of selected component (if applicable):

udev-127-1.fc10
Comment 1 Bill Nottingham 2008-09-30 15:55:56 EDT
Adding David to cc list, as I suspect anaconda is involved here as well.
Comment 2 David Cantrell 2008-09-30 17:08:41 EDT
Currently anaconda is writing to /lib/udev/rules.d.  If this needs to move to a new location, just let me know.  Really easy to take care of.
Comment 3 Bill Nottingham 2008-10-01 12:12:07 EDT
/lib/udev/rules.d is for operating system provided rules that shouldn't be edited. /etc/udev/rules.d is for system-specific configuration - so I think anaconda should probably write it there.
Comment 4 Harald Hoyer 2008-10-14 04:19:45 EDT
(In reply to comment #3)
> /lib/udev/rules.d is for operating system provided rules that shouldn't be
> edited. /etc/udev/rules.d is for system-specific configuration - so I think
> anaconda should probably write it there.

correct, please change it to /etc/udev/rules.d

Note You need to log in before you can comment on or make changes to this bug.